Bug 491029 - (perl-Data-Denter) Review Request: perl-Data-Denter - An alternative to Data::Dumper and Storable
Review Request: perl-Data-Denter - An alternative to Data::Dumper and Storable
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Data-Denter
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 20:09 EDT by Chris Weyl
Modified: 2009-03-21 19:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-21 19:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-03-18 20:09:00 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Data-Denter.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Data-Denter-0.15-1.fc10.src.rpm

Description:
The main problem with Data::Dumper (one of my all-time favorite modules)
is that you have to use 'eval()' to deserialize the data you've dumped.
This is great if you can trust the data you're evaling, but horrible if
you can't. A good alternative is Storable.pm. It can safely thaw your
frozen data.  But if you want to read/edit the frozen data, you're out of
luck, because Storable uses a binary format. Even Data::Dumper's output
can be a little cumbersome for larger data objects. Enter Data::Denter.

Data::Denter is yet another Perl data serializer/deserializer. It formats
nested data structures in an indented fashion. It is optimized for human
readability/editability, safe deserialization, and (eventually) speed.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1249237

*rt-0.06
Comment 1 Parag AN(पराग) 2009-03-18 22:06:04 EDT
eview:
+ package builds in mock (rawhide).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1249237
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
819e5c05fb61e90f4c1311286b080405  Data-Denter-0.15.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
Ok.
+Package perl-Data-Denter-0.15-1.fc11.noarch
Provides: perl(Data::Denter) = 0.15
Requires: perl(Carp) perl(Exporter) perl(strict) perl(vars)

APPROVED.
Comment 2 Chris Weyl 2009-03-18 23:44:17 EDT
New Package CVS Request
=======================
Package Name: perl-Data-Denter
Short Description: An alternative to Data::Dumper and Storable
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-03-19 23:12:15 EDT
cvs done.
Comment 4 Chris Weyl 2009-03-21 19:31:58 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.